# In all environments, the following files are loaded if they exist,
# the later taking precedence over the former:
#
#  * .env                contains default values for the environment variables needed by the app
#  * .env.local          uncommitted file with local overrides
#  * .env.$APP_ENV       committed environment-specific defaults
#  * .env.$APP_ENV.local uncommitted environment-specific overrides
#
# Real environment variables win over .env files.
#
# DO NOT DEFINE PRODUCTION SECRETS IN THIS FILE NOR IN ANY OTHER COMMITTED FILES.
#
# Run "composer dump-env prod" to compile .env files for production use (requires symfony/flex >=1.2).
# https://symfony.com/doc/current/best_practices/configuration.html#infrastructure-related-configuration

###> symfony/framework-bundle ###
APP_ENV=dev
APP_SECRET=8adb7274299a3938b144118017a57b61
#TRUSTED_PROXIES=127.0.0.1,127.0.0.2
#TRUSTED_HOSTS='^localhost|example\.com$'
###< symfony/framework-bundle ###

###> google/apiclient ###
GOOGLE_API_KEY=
GOOGLE_CLIENT_ID=
GOOGLE_CLIENT_SECRET=
###< google/apiclient ###

###> doctrine/doctrine-bundle ###
# Format described at https://www.doctrine-project.org/projects/doctrine-dbal/en/latest/reference/configuration.html#connecting-using-a-url
# IMPORTANT: You MUST configure your server version, either here or in config/packages/doctrine.yaml
#
# DATABASE_URL="sqlite:///%kernel.project_dir%/var/data.db"
# DATABASE_URL="mysql://app:!ChangeMe!@127.0.0.1:3306/app?serverVersion=8.0.32&charset=utf8mb4"
# DATABASE_URL="mysql://app:!ChangeMe!@127.0.0.1:3306/app?serverVersion=10.11.2-MariaDB&charset=utf8mb4"

DATABASE_URL=pgsql://postgres:postgres@127.0.0.1:5432/igroove
###< doctrine/doctrine-bundle ###

send_error_to=ai@salesianinordest.it
send_error_from=igroove7@no-domain.no-domain


MAILER_DSN=smtp://localhost:25?verify_peer=0

ldap_server=10.10.244.2
ldap_base_dn="DC=igroovedev,DC=network"
ldap_domain="igroovedev"
ldap_search_dn="CN=ldap-proxy,CN=Users,DC=igroovedev,DC=network"
ldap_search_password=1qaz-2wsx
ROLE_ADMIN_TEACHER=ROLE_DOCENTI_ADMIN
ROLE_TEACHER='ROLE_DOCENTI'
ROLE_ADMIN='ROLE_DOMAIN ADMINS'
ROLE_RECEPTION=ROLE_PORTINERIA
ROLE_MDM_MANAGER=ROLE_GESTORE_MDM
ROLE_ACCOUNTS_MANAGER=ROLE_GESTORE_UTENTI
ROLE_NETWORK_OPERATOR=ROLE_OPERATORE_RETE
ROLE_LAB_TEACHER=ROLE_DOCENTI_LABORATORIO

###> symfony/messenger ###
# Choose one of the transports below
MESSENGER_TRANSPORT_DSN=amqp://guest:guest@rabbitmq:5672/%2f
###< symfony/messenger ###

###> symfony/google-mailer ###
# Gmail SHOULD NOT be used on production, use it in development only.
# MAILER_DSN=gmail://USERNAME:PASSWORD@default
###< symfony/google-mailer ###
